﻿<?xml version="1.0" encoding="utf-8" ?>
<forms:BaseContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels"
             xmlns:viewModels="clr-namespace:TimeTracker.Apps.ViewModels;assembly=TimeTracker.Apps"
             xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
             x:DataType="viewmodels:ListTaskViewModel"
             x:Class="TimeTracker.Apps.Pages.TaskPage"
             Title="Liste des tâches">


    <NavigationPage.TitleView>
        <ImageButton Source="test2.png"
                     HorizontalOptions="Center"
                     VerticalOptions="CenterAndExpand"
                     WidthRequest="50" HeightRequest="50"
                     BorderColor="Transparent"
                     BackgroundColor="Transparent"
                     Command="{Binding BackToProjectCommand}"/>
    </NavigationPage.TitleView>
    <ContentPage.Resources>
        <DataTemplate x:DataType="viewModels:Task" x:Key="TaskTemplate">
            <ViewCell>
                <StackLayout Orientation="Vertical" HorizontalOptions="StartAndExpand">
                    <Label Text="{Binding Name}"
                           FontSize="25"
                           LineBreakMode="WordWrap"
                           FontAttributes="Bold"
                           TextColor="DarkCyan"
                    />
                    <Label Text="{Binding TotalTime}"
                           FontSize="18"
                           FontAttributes="Italic"
                           TextColor="Black">

                    </Label>
                    <Grid ColumnDefinitions="*,*" >
                        <Button Grid.Column="0"
                                Text="Temps"
                                TextColor="White"
                                BackgroundColor="Green"
                                CornerRadius="32"
                                Margin="7"
                                Command="{Binding TimeCommand}"
                                CommandParameter="{Binding .}"
                        />
                        <Button Grid.Column="1"
                                Text="Supprimer"
                                TextColor="White"
                                BackgroundColor="DarkRed"
                                CornerRadius="32"
                                Margin="7"
                                Command="{Binding DeleteCommand}"
                                CommandParameter="{Binding .}"
                        />
                        <Button Grid.Column="2"
                                Text="Modifier"
                                TextColor="White"
                                BackgroundColor="DarkBlue"
                                CornerRadius="32"
                                Margin="7"
                                Command="{Binding ModifyCommand}"
                                CommandParameter="{Binding .}"
                        />
                    </Grid>
                </StackLayout>
            </ViewCell>
        </DataTemplate>
    </ContentPage.Resources>
    <StackLayout>

    <Grid RowDefinitions="*, Auto" Margin="12,0,12,48">
        <ListView ItemsSource="{Binding Tasks}"
                  Grid.Row="0"
                  HasUnevenRows="True"
                  ItemTemplate="{StaticResource TaskTemplate }"
                  />
        </Grid>

        <StackLayout Padding="20">

        <Button Text="Ajouter une tâche"
                FontSize="Body"
                FontAttributes="Bold"
                TextColor="White"
                BackgroundColor="CadetBlue"
                CornerRadius="32"
                Margin="5"
                HorizontalOptions="FillAndExpand"
                Command="{Binding AddCommand}"
                />
        <Button Text="Graph du projet"
                BackgroundColor="CadetBlue"
                FontSize="Body"
                FontAttributes="Bold"
                TextColor="White"
                CornerRadius="32"
                Margin="5"
                HorizontalOptions="FillAndExpand"
                Command="{Binding GraphTaskCommand}"
                />

        </StackLayout>

    </StackLayout>

</forms:BaseContentPage>